summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2015-05-03 05:25:06 +0000
committerMatthew Thode <prometheanfire@gentoo.org>2015-05-03 05:25:06 +0000
commitc81e1b58b812e99105abaf42faa7dd5d87ac30bb (patch)
tree27452e0af26ae63c2fb1b97efcb333ce22b8155c /net-analyzer
parentEnable luajit on media-video/mpv for OSC by default (diff)
downloadgentoo-2-c81e1b58b812e99105abaf42faa7dd5d87ac30bb.tar.gz
gentoo-2-c81e1b58b812e99105abaf42faa7dd5d87ac30bb.tar.bz2
gentoo-2-c81e1b58b812e99105abaf42faa7dd5d87ac30bb.zip
fixing reload in init script bug 548302
(Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 0x33ED3FD25AFC78BA)
Diffstat (limited to 'net-analyzer')
-rw-r--r--net-analyzer/icinga2/ChangeLog5
-rw-r--r--net-analyzer/icinga2/files/icinga2.initd14
2 files changed, 12 insertions, 7 deletions
diff --git a/net-analyzer/icinga2/ChangeLog b/net-analyzer/icinga2/ChangeLog
index f60b5c28e987..880761642e99 100644
--- a/net-analyzer/icinga2/ChangeLog
+++ b/net-analyzer/icinga2/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for net-analyzer/icinga2
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/icinga2/ChangeLog,v 1.35 2015/04/22 21:24:15 prometheanfire Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/icinga2/ChangeLog,v 1.36 2015/05/03 05:25:06 prometheanfire Exp $
+
+ 03 May 2015; Matthew Thode <prometheanfire@gentoo.org> files/icinga2.initd:
+ fixing reload in init script bug 548302
*icinga2-2.3.4 (22 Apr 2015)
diff --git a/net-analyzer/icinga2/files/icinga2.initd b/net-analyzer/icinga2/files/icinga2.initd
index 010ef0c480e0..49a4eed338c7 100644
--- a/net-analyzer/icinga2/files/icinga2.initd
+++ b/net-analyzer/icinga2/files/icinga2.initd
@@ -68,12 +68,14 @@ stop() {
}
reload() {
- ebegin "Checking icinga2 configuration"
- "$DAEMON" daemon --validate >/dev/null 2>&1
- if [ $? -ne 0 ]; then
- eerror "Icinga2 detected configuration errors, run '$DAEMON daemon --validate' for details"
- return 1
- fi
+ checkconfig || return 1
+
ebegin "Reloading icinga2"
start-stop-daemon --signal HUP --pidfile "$ICINGA2_PID_FILE"
+
+ local retval=$?
+ if [ $retval -ne 0 ]; then
+ ewarn "Error reloading icinga2."
+ fi
+ eend $retval
}